org.richfaces.application

## Enum CoreConfiguration.Items

- java.lang.Object
- - java.lang.Enum<CoreConfiguration.Items>
  - - org.richfaces.application.CoreConfiguration.Items

- All Implemented Interfaces:
    Serializable, Comparable<CoreConfiguration.Items>
  Enclosing class:
    CoreConfiguration

      public static enum CoreConfiguration.Items
      extends Enum<CoreConfiguration.Items>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `baseSkin`
    `builtInFilterControlsEnabled` Whether or not to display the built in filter controls when the filtering attributes are present on a column
    `builtInSortControlsEnabled` Whether or not to display the built in sort controls when the sorting attributes are present on a column
    `executeAWTInitializer`
    `lruMapCacheSize`
    `pushHandlerMapping`
    `pushInitializePushContextOnStartup`
    `pushJMSConnectionFactory`
    `pushJMSConnectionPassword`
    `pushJMSConnectionPasswordEnvRef`
    `pushJMSConnectionUsername`
    `pushJMSConnectionUsernameEnvRef`
    `pushJMSEnabled`
    `pushJMSTopicsNamespace`
    `pushSessionMaxInactiveInterval` The interval of Push session invalidation when inactive (experimental configuration option: RF-12370)
    `resourceMappingFile`
    `resourceMappingLocation`
    `resourceOptimizationCompressionStages`
    `resourceOptimizationEnabled`
    `resourceOptimizationPackagingStages`
    `resourcesCacheSize`
    `resourcesDefaultVersion`
    `resourcesTTL`
    `skin` Name of web application init parameter for current skin .
    `standardControlsSkinning`
    `standardControlsSkinningClasses`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CoreConfiguration.Items` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CoreConfiguration.Items[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### standardControlsSkinning

          @ConfigurationItem(defaultValue="true",
                             names="org.richfaces.enableControlSkinning")
          public static final CoreConfiguration.Items standardControlsSkinning

    - #### standardControlsSkinningClasses

          @ConfigurationItem(defaultValue="false",
                             names="org.richfaces.enableControlSkinningClasses")
          public static final CoreConfiguration.Items standardControlsSkinningClasses

    - #### skin

          @ConfigurationItem(names="org.richfaces.skin")
          public static final CoreConfiguration.Items skin

      Name of web application init parameter for current skin . Can be simple String for non-modified name, or EL-expression for calculate current skin. If EL evaluated to `String` - used as skin name, if to instance of `Skin` - used this instance. by default - "org.richfaces.skin"

    - #### baseSkin

          @ConfigurationItem(names="org.richfaces.baseSkin")
          public static final CoreConfiguration.Items baseSkin

    - #### resourcesTTL

          @ConfigurationItem(defaultValue="86400",
                             names="org.richfaces.resourceDefaultTTL",
                             literal=true)
          public static final CoreConfiguration.Items resourcesTTL

    - #### resourcesCacheSize

          @ConfigurationItem(defaultValue="512",
                             names="org.richfaces.resourceCacheSize",
                             literal=true)
          public static final CoreConfiguration.Items resourcesCacheSize

    - #### resourcesDefaultVersion

          @ConfigurationItem(names="org.richfaces.resourceDefaultVersion")
          public static final CoreConfiguration.Items resourcesDefaultVersion

    - #### lruMapCacheSize

          @ConfigurationItem(names="org.richfaces.cache.LRU_MAP_CACHE_SIZE",
                             literal=true)
          public static final CoreConfiguration.Items lruMapCacheSize

    - #### resourceMappingLocation

          @ConfigurationItem(names="org.richfaces.resourceMapping.location",
                             literal=true)
          public static final CoreConfiguration.Items resourceMappingLocation

    - #### resourceMappingFile

          @ConfigurationItem(names="org.richfaces.resourceMapping.mappingFile")
          public static final CoreConfiguration.Items resourceMappingFile

    - #### resourceOptimizationEnabled

          @ConfigurationItem(defaultValue="false",
                             names={"org.richfaces.resourceOptimization.enabled","org.richfaces.resourceMapping.enabled"},
                             literal=true)
          public static final CoreConfiguration.Items resourceOptimizationEnabled

    - #### resourceOptimizationCompressionStages

          @ConfigurationItem(defaultValue="Production,SystemTest",
                             names={"org.richfaces.resourceOptimization.compressionStages","org.richfaces.resourceMapping.compressedStages"},
                             literal=true)
          public static final CoreConfiguration.Items resourceOptimizationCompressionStages

    - #### resourceOptimizationPackagingStages

          @ConfigurationItem(defaultValue="All",
                             names={"org.richfaces.resourceOptimization.packagingStages","org.richfaces.resourceMapping.packedStages"},
                             literal=true)
          public static final CoreConfiguration.Items resourceOptimizationPackagingStages

    - #### executeAWTInitializer

          @ConfigurationItem(defaultValue="true",
                             names="org.richfaces.executeAWTInitializer",
                             literal=true)
          public static final CoreConfiguration.Items executeAWTInitializer

    - #### pushHandlerMapping

          @ConfigurationItem(names="org.richfaces.push.handlerMapping",
                             literal=true)
          public static final CoreConfiguration.Items pushHandlerMapping

    - #### pushJMSConnectionFactory

          @ConfigurationItem(defaultValue="/ConnectionFactory",
                             names="org.richfaces.push.jms.connectionFactory")
          public static final CoreConfiguration.Items pushJMSConnectionFactory

    - #### pushJMSEnabled

          @ConfigurationItem(defaultValue="",
                             names="org.richfaces.push.jms.enabled")
          public static final CoreConfiguration.Items pushJMSEnabled

    - #### pushJMSTopicsNamespace

          @ConfigurationItem(defaultValue="/topic",
                             names="org.richfaces.push.jms.topicsNamespace")
          public static final CoreConfiguration.Items pushJMSTopicsNamespace

    - #### pushJMSConnectionUsername

          @ConfigurationItem(defaultValue="",
                             names="org.richfaces.push.jms.connectionUsername")
          public static final CoreConfiguration.Items pushJMSConnectionUsername

    - #### pushJMSConnectionUsernameEnvRef

          @ConfigurationItem(defaultValue="",
                             names="org.richfaces.push.jms.connectionUsername",
                             source=webEnvironmentEntry)
          public static final CoreConfiguration.Items pushJMSConnectionUsernameEnvRef

    - #### pushJMSConnectionPassword

          @ConfigurationItem(defaultValue="",
                             names="org.richfaces.push.jms.connectionPassword")
          public static final CoreConfiguration.Items pushJMSConnectionPassword

    - #### pushJMSConnectionPasswordEnvRef

          @ConfigurationItem(defaultValue="",
                             names="org.richfaces.push.jms.connectionPassword",
                             source=webEnvironmentEntry)
          public static final CoreConfiguration.Items pushJMSConnectionPasswordEnvRef

    - #### pushInitializePushContextOnStartup

          @ConfigurationItem(defaultValue="false",
                             names="org.richfaces.push.initializeOnStartup")
          public static final CoreConfiguration.Items pushInitializePushContextOnStartup

    - #### pushSessionMaxInactiveInterval

          @ConfigurationItem(defaultValue="300000",
                             names="org.richfaces.push.session.maxInactiveInterval")
          public static final CoreConfiguration.Items pushSessionMaxInactiveInterval

      The interval of Push session invalidation when inactive (experimental configuration option: RF-12370)

    - #### builtInSortControlsEnabled

          @ConfigurationItem(defaultValue="true",
                             names="org.richfaces.builtin.sort.enabled")
          public static final CoreConfiguration.Items builtInSortControlsEnabled

      Whether or not to display the built in sort controls when the sorting attributes are present on a column

    - #### builtInFilterControlsEnabled

          @ConfigurationItem(defaultValue="true",
                             names="org.richfaces.builtin.filter.enabled")
          public static final CoreConfiguration.Items builtInFilterControlsEnabled

      Whether or not to display the built in filter controls when the filtering attributes are present on a column

  - ### Method Detail

    - #### values

          public static CoreConfiguration.Items[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CoreConfiguration.Items c : CoreConfiguration.Items.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CoreConfiguration.Items valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.